Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(842)

Issue 12886034: Remove experimental code to pick the "warmest" socket (Closed)

Created:
7 years, 4 months ago by mmenke
Modified:
7 years, 4 months ago
CC:
chromium-reviews, jamiewalch+watch_chromium.org, dcaiafa+watch_chromium.org, cbentzel+watch_chromium.org, simonmorris+watch_chromium.org, hclam+watch_chromium.org, wez+watch_chromium.org, amit, sanjeevr, jam, garykac+watch_chromium.org, lambroslambrou+watch_chromium.org, rmsousa+watch_chromium.org, joi+watch-content_chromium.org, darin-cc_chromium.org, alexeypa+watch_chromium.org, sergeyu+watch_chromium.org
Visibility:
Public.

Description

Remove experimental code to pick the "warmest" socket (based on age and bytes received) in favor of older algorithm to pick the most recently used socket. Tests showed no real performance difference, so defaulting to the older, simpler, and more intuitive algorithm. This is basically a revert of https://codereview.chromium.org/7251004 TBR=sergeyu@chromium.org BUG=222090 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=191507

Patch Set 1 : #

Patch Set 2 : Fix unit test #

Patch Set 3 : sync, a couple small changes #

Patch Set 4 : Don't add missing include (Shouldn't be done in this CL) #

Total comments: 2

Patch Set 5 : Remove header #

Patch Set 6 : sync, fix conflict #

Unified diffs Side-by-side diffs Delta from patch set Stats (+10 lines, -656 lines) Patch
M chrome/browser/chrome_browser_field_trials.h View 1 2 3 4 5 3 chunks +0 lines, -9 lines 0 comments Download
M chrome/browser/chrome_browser_field_trials.cc View 1 2 3 4 5 4 chunks +2 lines, -59 lines 0 comments Download
M chrome/browser/chrome_browser_main.h View 1 2 3 4 5 2 chunks +0 lines, -7 lines 0 comments Download
D chrome/browser/chrome_browser_main_unittest.cc View 1 2 3 4 5 1 chunk +0 lines, -96 lines 0 comments Download
M chrome/chrome_tests_unit.gypi View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M chrome/common/chrome_switches.h View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M chrome/common/chrome_switches.cc View 1 2 3 4 5 1 chunk +0 lines, -4 lines 0 comments Download
M content/browser/renderer_host/p2p/socket_host_test_utils.h View 1 2 3 4 5 2 chunks +0 lines, -10 lines 0 comments Download
M jingle/glue/fake_ssl_client_socket.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M jingle/glue/fake_ssl_client_socket.cc View 1 2 3 4 5 1 chunk +0 lines, -8 lines 0 comments Download
M jingle/glue/proxy_resolving_client_socket.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M jingle/glue/proxy_resolving_client_socket.cc View 1 2 3 4 5 1 chunk +0 lines, -14 lines 0 comments Download
M jingle/glue/pseudotcp_adapter.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M jingle/glue/pseudotcp_adapter.cc View 1 2 3 4 5 1 chunk +0 lines, -10 lines 0 comments Download
M net/http/http_basic_stream.h View 1 2 3 4 5 2 chunks +0 lines, -6 lines 0 comments Download
M net/http/http_basic_stream.cc View 1 2 3 4 5 6 chunks +1 line, -12 lines 0 comments Download
M net/http/http_network_transaction.cc View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M net/http/http_network_transaction_spdy2_unittest.cc View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M net/http/http_network_transaction_spdy3_unittest.cc View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M net/http/http_pipelined_stream.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M net/http/http_pipelined_stream.cc View 1 2 3 4 5 1 chunk +0 lines, -4 lines 0 comments Download
M net/http/http_proxy_client_socket.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M net/http/http_proxy_client_socket.cc View 1 2 3 4 5 1 chunk +0 lines, -16 lines 0 comments Download
M net/http/http_response_body_drainer_unittest.cc View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M net/http/http_stream.h View 1 2 3 4 5 1 chunk +0 lines, -4 lines 0 comments Download
M net/quic/quic_http_stream.h View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M net/socket/buffered_write_stream_socket.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M net/socket/buffered_write_stream_socket.cc View 1 2 3 4 5 1 chunk +0 lines, -8 lines 0 comments Download
M net/socket/client_socket_pool_base.h View 1 2 3 4 5 2 chunks +0 lines, -18 lines 0 comments Download
M net/socket/client_socket_pool_base.cc View 1 2 3 4 5 4 chunks +1 line, -42 lines 0 comments Download
M net/socket/client_socket_pool_base_unittest.cc View 1 2 3 4 5 5 chunks +3 lines, -78 lines 0 comments Download
M net/socket/socket_test_util.h View 1 2 3 4 5 4 chunks +0 lines, -7 lines 0 comments Download
M net/socket/socket_test_util.cc View 1 2 3 4 5 5 chunks +0 lines, -29 lines 0 comments Download
M net/socket/socks5_client_socket.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M net/socket/socks5_client_socket.cc View 1 2 3 4 5 1 chunk +0 lines, -16 lines 0 comments Download
M net/socket/socks_client_socket.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M net/socket/socks_client_socket.cc View 1 2 3 4 5 1 chunk +0 lines, -16 lines 0 comments Download
M net/socket/ssl_client_socket_nss.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M net/socket/ssl_client_socket_nss.cc View 1 2 3 4 5 1 chunk +0 lines, -16 lines 0 comments Download
M net/socket/ssl_client_socket_openssl.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M net/socket/ssl_client_socket_openssl.cc View 1 2 3 4 5 1 chunk +0 lines, -16 lines 0 comments Download
M net/socket/ssl_client_socket_unittest.cc View 1 2 3 4 5 1 chunk +0 lines, -6 lines 0 comments Download
M net/socket/ssl_server_socket_nss.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M net/socket/ssl_server_socket_nss.cc View 1 2 3 4 5 1 chunk +0 lines, -8 lines 0 comments Download
M net/socket/ssl_server_socket_unittest.cc View 1 2 3 4 5 1 chunk +0 lines, -7 lines 0 comments Download
M net/socket/stream_socket.h View 1 2 3 4 5 2 chunks +0 lines, -7 lines 0 comments Download
M net/socket/tcp_client_socket_libevent.h View 1 2 3 4 5 2 chunks +0 lines, -6 lines 0 comments Download
M net/socket/tcp_client_socket_libevent.cc View 1 2 3 4 5 6 chunks +1 line, -14 lines 0 comments Download
M net/socket/tcp_client_socket_win.h View 1 2 3 4 5 2 chunks +0 lines, -6 lines 0 comments Download
M net/socket/tcp_client_socket_win.cc View 1 2 3 4 5 7 chunks +1 line, -15 lines 0 comments Download
M net/socket/transport_client_socket_pool_unittest.cc View 1 2 3 4 5 3 chunks +0 lines, -12 lines 0 comments Download
M net/socket/transport_client_socket_unittest.cc View 1 2 3 4 5 3 chunks +1 line, -8 lines 0 comments Download
M net/spdy/spdy_http_stream.h View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M net/spdy/spdy_proxy_client_socket.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M net/spdy/spdy_proxy_client_socket.cc View 1 2 3 4 5 1 chunk +0 lines, -8 lines 0 comments Download
M remoting/protocol/channel_multiplexer.cc View 1 2 3 4 5 1 chunk +0 lines, -8 lines 0 comments Download
M remoting/protocol/fake_session.h View 1 2 3 4 5 1 chunk +0 lines, -2 lines 0 comments Download
M remoting/protocol/fake_session.cc View 1 2 3 4 5 1 chunk +0 lines, -10 lines 0 comments Download

Messages

Total messages: 11 (0 generated)
mmenke
wtc: Mind reviewing? Thanks! Per description, this is basically a revert, but since the original ...
7 years, 4 months ago (2013-03-26 15:18:29 UTC) #1
Wez
remoting/ LGTM
7 years, 4 months ago (2013-03-26 16:26:37 UTC) #2
wtc
Patch set 4 LGTM. Thanks a lot for the nontrivial cleanup. https://codereview.chromium.org/12886034/diff/105007/net/socket/client_socket_pool_base.h File net/socket/client_socket_pool_base.h (right): ...
7 years, 4 months ago (2013-03-26 19:29:16 UTC) #3
mmenke
Thanks! https://codereview.chromium.org/12886034/diff/105007/net/socket/client_socket_pool_base.h File net/socket/client_socket_pool_base.h (right): https://codereview.chromium.org/12886034/diff/105007/net/socket/client_socket_pool_base.h#newcode33 net/socket/client_socket_pool_base.h:33: #include "base/compiler_specific.h" On 2013/03/26 19:29:16, wtc wrote: > ...
7 years, 4 months ago (2013-03-26 19:36:26 UTC) #4
mmenke
[+sergeyu, +ben] sergeyu: Please review jingle/ and content/browser/renderer_host/p2p ben: Mind signing off on the chrome/ ...
7 years, 4 months ago (2013-03-26 19:52:00 UTC) #5
Ben Goodger (Google)
lgtm
7 years, 4 months ago (2013-03-28 15:59:16 UTC) #6
mmenke1
Thanks, Ben! [sergeyu]: Ping! Since this just removes functions that either return garbage, or delegate ...
7 years, 4 months ago (2013-03-28 16:06:00 UTC) #7
alexeypa (please no reviews)
remoting/* - lgtm
7 years, 4 months ago (2013-03-28 16:12:43 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mmenke@chromium.org/12886034/109001
7 years, 4 months ago (2013-03-30 01:07:42 UTC) #9
mmenke
On 2013/03/30 01:07:42, I haz the power (commit-bot) wrote: > CQ is trying da patch. ...
7 years, 4 months ago (2013-03-30 12:57:26 UTC) #10
mmenke
7 years, 4 months ago (2013-03-30 13:18:32 UTC) #11
Message was sent while issue was closed.
Committed patchset #6 manually as r191507.

Powered by Google App Engine
This is Rietveld 408576698